package textures.player.attacks;

import java.awt.image.BufferedImage;

import _texture.loader.Textures;
import utils.Utils;

public class CrudeAxeAttackTextures {

	public static void getTextures(BufferedImage image){
		/*** FACING SOUTH ***/
		Textures.crudeAxeAttackSheet[0] = Utils.grabSprite(image, 1, 1, 40, 72);
		Textures.crudeAxeAttackSheet[1] = Utils.grabSprite(image, 2, 1, 40, 72);
		Textures.crudeAxeAttackSheet[2] = Utils.grabSprite(image, 3, 1, 40, 72);
		Textures.crudeAxeAttackSheet[3] = Utils.grabSprite(image, 4, 1, 40, 72);
		/*** FACING NORTH ***/
		Textures.crudeAxeAttackSheet[4] = Utils.grabSprite(image, 1, 2, 40, 72);
		Textures.crudeAxeAttackSheet[5] = Utils.grabSprite(image, 2, 2, 40, 72);
		Textures.crudeAxeAttackSheet[6] = Utils.grabSprite(image, 3, 2, 40, 72);
		Textures.crudeAxeAttackSheet[7] = Utils.grabSprite(image, 4, 2, 40, 72);
		/*** FACING WEST ***/
		Textures.crudeAxeAttackSheet[8] = Utils.grabSprite(image, 1, 3, 40, 72);
		Textures.crudeAxeAttackSheet[9] = Utils.grabSprite(image, 2, 3, 40, 72);
		Textures.crudeAxeAttackSheet[10] = Utils.grabSprite(image, 3, 3, 40, 72);
		Textures.crudeAxeAttackSheet[11] = Utils.grabSprite(image, 4, 3, 40, 72);
		/*** FACING EAST ***/
		Textures.crudeAxeAttackSheet[12] = Utils.grabSprite(image, 1, 4, 40, 72);
		Textures.crudeAxeAttackSheet[13] = Utils.grabSprite(image, 2, 4, 40, 72);
		Textures.crudeAxeAttackSheet[14] = Utils.grabSprite(image, 3, 4, 40, 72);
		Textures.crudeAxeAttackSheet[15] = Utils.grabSprite(image, 4, 4, 40, 72);
		/*** FACING NW ***/
		Textures.crudeAxeAttackSheet[16] = Utils.grabSprite(image, 1, 5, 40, 72);
		Textures.crudeAxeAttackSheet[17] = Utils.grabSprite(image, 2, 5, 40, 72);
		Textures.crudeAxeAttackSheet[18] = Utils.grabSprite(image, 3, 5, 40, 72);
		Textures.crudeAxeAttackSheet[19] = Utils.grabSprite(image, 4, 5, 40, 72);
		/*** FACING NE ***/
		Textures.crudeAxeAttackSheet[20] = Utils.grabSprite(image, 1, 6, 40, 72);
		Textures.crudeAxeAttackSheet[21] = Utils.grabSprite(image, 2, 6, 40, 72);
		Textures.crudeAxeAttackSheet[22] = Utils.grabSprite(image, 3, 6, 40, 72);
		Textures.crudeAxeAttackSheet[23] = Utils.grabSprite(image, 4, 6, 40, 72);
		/*** FACING SW ***/
		Textures.crudeAxeAttackSheet[24] = Utils.grabSprite(image, 1, 7, 40, 72);
		Textures.crudeAxeAttackSheet[25] = Utils.grabSprite(image, 2, 7, 40, 72);
		Textures.crudeAxeAttackSheet[26] = Utils.grabSprite(image, 3, 7, 40, 72);
		Textures.crudeAxeAttackSheet[27] = Utils.grabSprite(image, 4, 7, 40, 72);
		/*** FACING SE ***/
		Textures.crudeAxeAttackSheet[28] = Utils.grabSprite(image, 1, 8, 40, 72);
		Textures.crudeAxeAttackSheet[29] = Utils.grabSprite(image, 2, 8, 40, 72);
		Textures.crudeAxeAttackSheet[30] = Utils.grabSprite(image, 3, 8, 40, 72);
		Textures.crudeAxeAttackSheet[31] = Utils.grabSprite(image, 4, 8, 40, 72);
	}
	
}
